\ A.van Wijngaarden, The Generative Power of Two-Level Grammars, in
\ J.Loeckx, Automata, Languages and Programming, Univ. of Saarbruecken, 1974,
\ Springer Lecture Notes 14, 1974.

G :: H ; j ; rN .
H :: mI ; nI ; nk .
I :: M ; i .
J :: I ; N .
K :: J ; w .
L :: M .
M :: a ; b .
N :: c ; d ; e ; f .
P :: ; KP ; gP ; pP ; qP .	\ gP added.
.

turing machine : giacia.	\ H1
gP : gPi ; hPNi ; jgPNwa .	\ H2
hP : hPi ; gPM .		\ H3
jgP : jgPM ; jPg .		\ H4
GJP : GPJ .			\ H5

jwaP : ws, as, kPwa .		\ H6
kMP : Ms, kPM .			\ H7
kgMcP : sP .			\ H8
kgiP : tPgi .			\ H9
tIP : tPI .			\ H10
tNiP : miPNqi ; tPNi .		\ H11
HwMP : HPwM .			\ H12
migiP : miPg .			\ H13
miqiP : miPiq .			\ H14
migMP : mMPgp .			\ H15
mMqMP : niqPM .			\ H16
niqiP : niPiq .			\ H17
nIgP : nIPg .			\ H18
nipP : niPip .			\ H19
niqNP : rNNP .			\ H20, original lost the N
rcwMP : naPwa .			\ H21
rdwMP : nbPwb .			\ H22
rewMPN : rewMPNa .		\ H23
rewMPL : nLPwLM .		\ H24
rfwMgP : rfwMagP .		\ H25
rfwMLP : nLPMwL .		\ H26
nMpP : nkPM .			\ H27
nkgP : kgP .			\ H28
sKK'P : sK , sK'P .		\ H29, to prevent looping
sK : Ks .			\ H30
.

\ A specific turing machine can be processed by giving its initial notion:
\		'jiac' <rule>+ 'w' tape 'g'
\ where:	rule: 'i'+ [a|b] 'i'* [c|d|e|f]
\		tape: [a|b]*
\ where the first rule must start with 'ia' and the tape with 'a'.
\ jiac iaf w a g.

jiac iaiif ibc iiaiiid iibiif iiiaie iiibiiif w abbabbb g.
