\ The grammar from: A. van Wijngaarden, Languageless Programming, IW 181/81,
\ Mathematical Centre, Amsterdam.
H :: 9 ; 8 ; 7 ; 6 ; 5 ; 4 ; 3 ; 2 ; 1 ; 0.
J :: HJ ; .
K :: n ; p.
N :: nN ; .
P :: pP ; .
M :: nN ; pP ; .
Q :: HQ ; KQ ; .
V :: sM.
W :: sQ ; (R).
L :: VL ; .
R :: WR ; .
.

L(R')R : LR'R.
s0pP : spppppppppppppppppppppppppsnnnnnnnnspPs1ns10snnnnnnnnnsnnsnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnsnnsppppppppppppppppppppppppps1ns10snnsnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnsnnspPs50sppppppppppppppppppppppppps41s1ns10sps64ps2.
Ls00R : .
LsKHJR : Lss0KHJR.
LVs0KHJR : LVspppppppppps42s00KH0123456789s40s0KJR.
LVs0KR : LVR.
LsM00KHH'JR : LsKM00KHJR.
LsM00KHHJR : LsMR.
LVs1MR : LVss24s4snnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnsMVs03ps9s01s01R.
Ls01PsP'L's01NR : LsP'spppppppppps34s4(sP'spppppppppps41s9(s01pP)L's01N) (sPss22s4(s01sPsP'L's01nN)(sP'L'snN))R.
LVs2R : V , LR.
LsKMs3M'R : LsMsKs4s3nM's3pM'R.
Lss3M'R : LsM'R.
LVs03KR : LVVs4( )s3sKs4( )s3R.
LsPs4WW'R : LWR.
LsNs4WW'R : LW'R.
LVs5(WW'R')R : LVss32s4W(Vsps41s5(W'R'))R.
LVs5(W)R : LWR.
Ls6pPVR : LVs6PR.
Ls6pPs6HMWR : LR.
LVV's6nNR : LVs6NV'R.
Vs6nNLs6HMWR : VLR.
Ls7WW'R : LWs4(W's7WW')( )R.
LVV'V''s8WW'R : LV'ss36s4sp(VV''V's4s32s34)VV'V''s8pWW'R.
LsMVV'V''s8KWW'R : LsMs4(sKs4(WVV'V''s8n)(W'VV's40V'V''s8)WW')sKR.
LVs9WR : LWVR.
LVs10R : LR.
LVs11R : LVVR.
LsMs12WR : LWMR.
LVs13R : LVs4spsnR.
LVV's20R : LVV's21s11s3s21R.
LVV's21R : LVV's24s4VV'R.
LVV's22R : LVV's41s022R.
LspPs022R : LspPR.
LsNs022R : LsnNR.
LVV's23R : LVR.
LVV's24R : LV'Vs22R.
LVV's25R : LV'R.
LVV's26R : LVV's22VV's24s27R.
LVV's27R : LVV's22s4VV'R.
LVV's3HR : LVV's2Hs3R.
LsMsM's40R : LsMM'R.
LsnNpPR : LsNPR.
LspPnNR : LsPNR.
LVV's41R : LVV's3s40R.
LVV's42R : LV'ss36s4s(V's4(VV'sps41s42Vs40)(VV's3s42s3))R.
LVV's43R : LsVs03pV's03ps043Vs4(V's4( )(sns64s3))(V's4(sns64ps3)s3)R.
LsP''sPspP's043R : LsPspP's34s4(spP''sPspP's41spP's043)(sP''sP)R.
LVsPs44R : LsPss36s4sp(VsPsps41s44Vs42)R.
LVV'spPs45R : LVV'V's40s03pspPs22s4(V's13s40)( )R.
LVV's40pPR : LVV's40R.
LVV's41pPR : LVV's41R.
LVV's42pPR : LVV's42spPs60s43spPs60s45R.
LVV's43pPR : LVspPs60s42V's43spPs60s45R.
LVV's44pPR : LV'ss36s4(spPs60)(V's4(VV'sps41s44pPVs42pP) (spPs60VV's3s44pPs43pP))R.
LspPs50R : LspPsppspps050R.
LspPsppP'sppP''s050R : LsppP'sppP''s43sns64s10ss22 s4(spPsppP'spppP''s050) (sppP'sppP''s22s4(spPspppP'spps050)(spPsps22s4(sPspppP'spps050)sppP'))R.
LsM's6HMWR : sM'ss22s4(s6M'L)(Ls6M')s6HMWR.
LVs6L's60R : LVL'VR.
LVs6L'V's61R : LV'L'R.
Ls6L'V's62R : LV'L'R.
Ls6L's63KR : LsKs4L'LL'R.
LVs6L's64MWR : LVWsMss36s4(L')(s6ML's64MW)R.
.

s0pppp.	\ -18, @ 18h22m in 1981, 55 sec in 2004
\ s0ppppp.	\ -14, @ 102 sec
\ s0pppppp.	\ -12, @ 229 sec
.
